<html>
<head>
<title>Resources - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Resources</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Resources:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Resources.gif" border="0" alt="" usemap="#group____Resources"/>
<map name="group____Resources" id="group____Resources">
<area shape="rect" id="node1" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html">Ogre::FileInfo</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Information about a file/directory within the archive will be returned using a <a class="el" href="structOgre_1_1FileInfo.html" title="Information about a file/directory within the archive will be returned using a FileInfo struct...">FileInfo</a> struct.  <a href="structOgre_1_1FileInfo.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Archive-handling class.  <a href="classOgre_1_1Archive.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveFactory.html">Ogre::ArchiveFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract factory class, archive codec plugins can register concrete subclasses of this.  <a href="classOgre_1_1ArchiveFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class manages the available <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> plugins.  <a href="classOgre_1_1ArchiveManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose class used for encapsulating the reading and writing of data.  <a href="classOgre_1_1DataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from chunks of memory.  <a href="classOgre_1_1MemoryDataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html">Ogre::FileStreamDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from std::basic_istream.  <a href="classOgre_1_1FileStreamDataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from C-style file handles.  <a href="classOgre_1_1FileHandleDataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from filesystem folders / directories.  <a href="classOgre_1_1FileSystemArchive.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileSystemArchiveFactory.html">Ogre::FileSystemArchiveFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> for FileSystem files.  <a href="classOgre_1_1FileSystemArchiveFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font.html">Ogre::Font</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class representing a font in the system.  <a href="classOgre_1_1Font.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FontPtr.html">Ogre::FontPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1FontPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr.">FontPtr</a>.  <a href="classOgre_1_1FontPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FontManager.html">Ogre::FontManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manages <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> resources, parsing .fontdef files and generally organising them.  <a href="classOgre_1_1FontManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a program which runs on the GPU such as a vertex or fragment program.  <a href="classOgre_1_1GpuProgram.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramPtr.html">Ogre::GpuProgramPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1GpuProgramPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GpuProgramPtr.">GpuProgramPtr</a>.  <a href="classOgre_1_1GpuProgramPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract base class representing a high-level program (a vertex or fragment program).  <a href="classOgre_1_1HighLevelGpuProgram.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HighLevelGpuProgramPtr.html">Ogre::HighLevelGpuProgramPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1HighLevelGpuProgramPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to HighLevelGpuProgramPtr.">HighLevelGpuProgramPtr</a>.  <a href="classOgre_1_1HighLevelGpuProgramPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HighLevelGpuProgramFactory.html">Ogre::HighLevelGpuProgramFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface definition for factories of <a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>.  <a href="classOgre_1_1HighLevelGpuProgramFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HighLevelGpuProgramManager.html">Ogre::HighLevelGpuProgramManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> manages high-level vertex and fragment programs.  <a href="classOgre_1_1HighLevelGpuProgramManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html">Ogre::MeshPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>.  <a href="classOgre_1_1MeshPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html">Ogre::MeshLodUsage</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A way of recording the way each LODs is recorded this <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>.  <a href="structOgre_1_1MeshLodUsage.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshManager.html">Ogre::MeshManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Handles the management of mesh resources.  <a href="classOgre_1_1MeshManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html">Ogre::MeshSerializer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for serialising mesh data to/from an OGRE .mesh file.  <a href="classOgre_1_1MeshSerializer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerListener.html">Ogre::MeshSerializerListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal implementation of <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> reading / writing for the latest version of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl__v1__41.html">Ogre::MeshSerializerImpl_v1_41</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for providing backwards-compatibility for loading version 1.41 of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl__v1__41.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl__v1__4.html">Ogre::MeshSerializerImpl_v1_4</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for providing backwards-compatibility for loading version 1.4 of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl__v1__4.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl__v1__3.html">Ogre::MeshSerializerImpl_v1_3</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for providing backwards-compatibility for loading version 1.3 of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl__v1__3.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl__v1__2.html">Ogre::MeshSerializerImpl_v1_2</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl__v1__2.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerImpl__v1__1.html">Ogre::MeshSerializerImpl_v1_1</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for providing backwards-compatibility for loading version 1.1 of the .mesh format.  <a href="classOgre_1_1MeshSerializerImpl__v1__1.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html">Ogre::PrefabFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A factory class that can create various mesh prefabs.  <a href="classOgre_1_1PrefabFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class representing a loadable resource (e.g.  <a href="classOgre_1_1Resource.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ManualResourceLoader.html">Ogre::ManualResourceLoader</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface describing a manual resource loader.  <a href="classOgre_1_1ManualResourceLoader.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BackgroundProcessResult.html">Ogre::BackgroundProcessResult</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Encapsulates the result of a background queue request.  <a href="structOgre_1_1BackgroundProcessResult.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class is used to perform <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> operations in a background thread.  <a href="classOgre_1_1ResourceBackgroundQueue.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html">Ogre::ResourceGroupListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load.  <a href="classOgre_1_1ResourceGroupListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceLoadingListener.html">Ogre::ResourceLoadingListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This singleton class manages the list of resource groups, and notifying the various resource managers of their obligations to load / unload resources in a group.  <a href="classOgre_1_1ResourceGroupManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a generic resource handler.  <a href="classOgre_1_1ResourceManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility class providing helper methods for reading / writing structured data held in a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a>.  <a href="classOgre_1_1StreamSerialiser.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a part of a complete mesh.  <a href="classOgre_1_1SubMesh.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class representing a <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> resource.  <a href="classOgre_1_1Texture.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TexturePtr.html">Ogre::TexturePtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>.  <a href="classOgre_1_1TexturePtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for loading &amp; managing textures.  <a href="classOgre_1_1TextureManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html">Ogre::UnifiedHighLevelGpuProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a> which just delegates its implementation to one other high level program, allowing a single program definition to represent one supported program from a number of options.  <a href="classOgre_1_1UnifiedHighLevelGpuProgram.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html">Ogre::UnifiedHighLevelGpuProgramFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory class for Unified programs.  <a href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from a zip format source archive.  <a href="classOgre_1_1ZipArchive.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html">Ogre::ZipArchiveFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> for Zip files.  <a href="classOgre_1_1ZipArchiveFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmbeddedZipArchiveFactory.html">Ogre::EmbeddedZipArchiveFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ZipArchiveFactory.html" title="Specialisation of ArchiveFactory for Zip files.">ZipArchiveFactory</a> for embedded Zip files.  <a href="classOgre_1_1EmbeddedZipArchiveFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html">Ogre::ZipDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> to handle streaming data from zip archives.  <a href="classOgre_1_1ZipDataStream.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; FileInfo &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga80f17ac4d148a831fe015742d56727f9">Ogre::FileInfoList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; FileInfoList &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">Ogre::FileInfoListPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; DataStream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">Ogre::DataStreamPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to allow data streams to be passed around without worrying about deallocation.  <a href="#ga8a2a961b4205aacff9c01e81e08d7781"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list&lt; DataStreamPtr &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf30cff05594c7346e6f7bb0ec48aa597">Ogre::DataStreamList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items.  <a href="#gaf30cff05594c7346e6f7bb0ec48aa597"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; DataStreamList &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaca357d60ac34de84a39467c1f557749e">Ogre::DataStreamListPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to list of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items.  <a href="#gaca357d60ac34de84a39467c1f557749e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; MemoryDataStream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">Ogre::MemoryDataStreamPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to allow memory data streams to be passed around without worrying about deallocation.  <a href="#gaf8656a2c0ef06642f70c4b3745ee80a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; Resource &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">Ogre::ResourcePtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>.  <a href="#ga4697cc0c72aef3b488c7e058adf734ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef WorkQueue::RequestID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">Ogre::BackgroundProcessTicket</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifier of a background process.  <a href="#ga1e2e9ee3e2ee22a4e792952239d38821"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga7d22ba70debe31488cdd62c5dc307ce9">Ogre::FontType</a> { <a class="el" href="group__Resources.html#gga7d22ba70debe31488cdd62c5dc307ce9a3185a44789d385148728f61682e74354">Ogre::FT_TRUETYPE</a> =  1, 
<a class="el" href="group__Resources.html#gga7d22ba70debe31488cdd62c5dc307ce9ac5c0824a886f1c3946159c1303397c68">Ogre::FT_IMAGE</a> =  2
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the types of Font usable in the engine.  <a href="group__Resources.html#ga7d22ba70debe31488cdd62c5dc307ce9">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">Ogre::GpuProgramType</a> { <a class="el" href="group__Resources.html#ggad08e89fa63e81d061ea9e2f37664976ea3d96c54ace718f26c66067503efd56a3">Ogre::GPT_VERTEX_PROGRAM</a>, 
<a class="el" href="group__Resources.html#ggad08e89fa63e81d061ea9e2f37664976eac9a00b013e9075bc061b0585cf9a6c3b">Ogre::GPT_FRAGMENT_PROGRAM</a>, 
<a class="el" href="group__Resources.html#ggad08e89fa63e81d061ea9e2f37664976ea78fc6b12cad0b4a28e86c802ee50bcdd">Ogre::GPT_GEOMETRY_PROGRAM</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the types of programs which can run on the GPU.  <a href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga7b904fc5463a8ef1e61f6de39b603fc4">Ogre::MeshChunkID</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae377c85390fc6c2cb7d57009bbcb48a3">Ogre::M_HEADER</a> =  0x1000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a7e30f93c634e73eccf5841247edcf394">Ogre::M_MESH</a> =  0x3000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a2ea0d2c7c324fa5745b325a9e1c4cbb8">Ogre::M_SUBMESH</a> =  0x4000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a204c8cf7adc882832f720fec814b3736">Ogre::M_SUBMESH_OPERATION</a> =  0x4010, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a0be59b8913a5cb6a92942172121a1feb">Ogre::M_SUBMESH_BONE_ASSIGNMENT</a> =  0x4100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a36e136a0ae3018f1bdb14cb8ee355b2a">Ogre::M_SUBMESH_TEXTURE_ALIAS</a> =  0x4200, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab58cc7791a7fced01dfb77b38f804750">Ogre::M_GEOMETRY</a> =  0x5000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a529e87421877a2c003b001e99a2a1ec3">Ogre::M_GEOMETRY_VERTEX_DECLARATION</a> =  0x5100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ac094ecf94bea8aabc8e50913260ca01a">Ogre::M_GEOMETRY_VERTEX_ELEMENT</a> =  0x5110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae8e03368ae266d871c8bee40fc9b2884">Ogre::M_GEOMETRY_VERTEX_BUFFER</a> =  0x5200, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab6b7146d2e47408f325e5d95f52d1360">Ogre::M_GEOMETRY_VERTEX_BUFFER_DATA</a> =  0x5210, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a061bd3bd94e92d0d31a76b1030d28a8b">Ogre::M_MESH_SKELETON_LINK</a> =  0x6000, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a5a2466fdd447d7a91aad57a941cbd336">Ogre::M_MESH_BONE_ASSIGNMENT</a> =  0x7000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4abe24a7ed8a68168e01d8f355f9924356">Ogre::M_MESH_LOD</a> =  0x8000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a91d18ad3575494d5723187a27c0554ad">Ogre::M_MESH_LOD_USAGE</a> =  0x8100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4aa70c05306a33c122ff87a48135ebff9f">Ogre::M_MESH_LOD_MANUAL</a> =  0x8110, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab2e273eb42a551fce6fcedc23b1b5579">Ogre::M_MESH_LOD_GENERATED</a> =  0x8120, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1516dd9026781cc83396590e73eb5bd2">Ogre::M_MESH_BOUNDS</a> =  0x9000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a53de3dbb8a1fb4199fecfcc13b99a780">Ogre::M_SUBMESH_NAME_TABLE</a> =  0xA000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ad2d5c64333e75efb676c25cf7413fbe7">Ogre::M_SUBMESH_NAME_TABLE_ELEMENT</a> =  0xA100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a9702b7e52d4ea26c0eaffe49a2ea3fca">Ogre::M_EDGE_LISTS</a> =  0xB000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a85ec2f21278624525b12aae23fecd8a3">Ogre::M_EDGE_LIST_LOD</a> =  0xB100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a57ce1f8065af27bbbe84c1525b2541cb">Ogre::M_EDGE_GROUP</a> =  0xB110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a8f20b9f53c4a616ebb80d5f5e6dce6f2">Ogre::M_POSES</a> =  0xC000, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4adb5976001d45fa25b6f5bf094ee26cb9">Ogre::M_POSE</a> =  0xC100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1c05dca2e153c0546074b2361706d4d0">Ogre::M_POSE_VERTEX</a> =  0xC111, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a47ebdc0a3d866f96d1272b53c956d60a">Ogre::M_ANIMATIONS</a> =  0xD000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a20cea2365d30a7aad8f79ca58f058b50">Ogre::M_ANIMATION</a> =  0xD100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a079f2868b05b6ee086bba76454a925df">Ogre::M_ANIMATION_BASEINFO</a> =  0xD105, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a06f1e8f333e075e3c50c1d6857423a3c">Ogre::M_ANIMATION_TRACK</a> =  0xD110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a4227a01f9308f161b1dff36d37bfca1f">Ogre::M_ANIMATION_MORPH_KEYFRAME</a> =  0xD111, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1530b8d3112bec8376a066db1859820d">Ogre::M_ANIMATION_POSE_KEYFRAME</a> =  0xD112, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a01f246a4298151dc5b2271de6bf19acc">Ogre::M_ANIMATION_POSE_REF</a> =  0xD113, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4adef65eae91dcd6082bbc4be1bf0d950e">Ogre::M_TABLE_EXTREMES</a> =  0xE000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a05282af650e923e0cbff1bc35e19eb21">Ogre::M_GEOMETRY_NORMALS</a> =  0x5100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae55f61d76f1149a9bed5c32711d404ab">Ogre::M_GEOMETRY_COLOURS</a> =  0x5200, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4aec8563534d08ae9b4d15d04e5c999c1d">Ogre::M_GEOMETRY_TEXCOORDS</a> =  0x5300
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of the OGRE .mesh file format.  <a href="group__Resources.html#ga7b904fc5463a8ef1e61f6de39b603fc4">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf140ec886884a864abc74a7556f8bf67">Ogre::TextureUsage</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a375858a86cadfb2a4d20fe837fdb85b3">Ogre::TU_STATIC</a> =  HardwareBuffer::HBU_STATIC, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ad18031f12c4bd22f73b09a4536e99df5">Ogre::TU_DYNAMIC</a> =  HardwareBuffer::HBU_DYNAMIC, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67af7b0d53154ffc7c389404dc51c792655">Ogre::TU_WRITE_ONLY</a> =  HardwareBuffer::HBU_WRITE_ONLY, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a2b9d0399c32f2098957ebc089c337e55">Ogre::TU_STATIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_STATIC_WRITE_ONLY, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ac26eda030d21e0491461edea89394493">Ogre::TU_DYNAMIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a79920182637c94fabcf834950096483f">Ogre::TU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a7c14cc95a59af42a63eb33fc9de05d27">Ogre::TU_AUTOMIPMAP</a> =  0x100, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ae1661d9846a9b4e83c2e4cd99fc6ad9d">Ogre::TU_RENDERTARGET</a> =  0x200, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b">Ogre::TU_DEFAULT</a> =  TU_AUTOMIPMAP | TU_STATIC_WRITE_ONLY
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying the texture usage.  <a href="group__Resources.html#gaf140ec886884a864abc74a7556f8bf67">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">Ogre::TextureType</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7a18bf88d3a14ba28d6602689e398416bd">Ogre::TEX_TYPE_1D</a> =  1, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e">Ogre::TEX_TYPE_2D</a> =  2, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7aa80e2545e817591a0b4547f987987d43">Ogre::TEX_TYPE_3D</a> =  3, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7ae295fe0fa26623b66cc023f462962344">Ogre::TEX_TYPE_CUBE_MAP</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7a11589b2d4fbe6213dcdaf4e78894a3a7">Ogre::TEX_TYPE_2D_ARRAY</a> =  5
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying the texture type.  <a href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga528ce4f4c67c9b043e1f0b8bb3cdf255">Ogre::TextureMipmap</a> { <a class="el" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a5a6b498127bf3fa219dadfdaaa50b9dd">Ogre::MIP_UNLIMITED</a> =  0x7FFFFFFF, 
<a class="el" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d">Ogre::MIP_DEFAULT</a> =  -1
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying special mipmap numbers.  <a href="group__Resources.html#ga528ce4f4c67c9b043e1f0b8bb3cdf255">More...</a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga1e2e9ee3e2ee22a4e792952239d38821"></a><!-- doxytag: member="Ogre::BackgroundProcessTicket" ref="ga1e2e9ee3e2ee22a4e792952239d38821" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef WorkQueue::RequestID <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">Ogre::BackgroundProcessTicket</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Identifier of a background process. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00047">47</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaf30cff05594c7346e6f7bb0ec48aa597"></a><!-- doxytag: member="Ogre::DataStreamList" ref="gaf30cff05594c7346e6f7bb0ec48aa597" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef list&lt;DataStreamPtr&gt;::type <a class="el" href="group__Resources.html#gaf30cff05594c7346e6f7bb0ec48aa597">Ogre::DataStreamList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00310">310</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaca357d60ac34de84a39467c1f557749e"></a><!-- doxytag: member="Ogre::DataStreamListPtr" ref="gaca357d60ac34de84a39467c1f557749e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;DataStreamList&gt; <a class="el" href="group__Resources.html#gaca357d60ac34de84a39467c1f557749e">Ogre::DataStreamListPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer to list of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00312">312</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga8a2a961b4205aacff9c01e81e08d7781"></a><!-- doxytag: member="Ogre::DataStreamPtr" ref="ga8a2a961b4205aacff9c01e81e08d7781" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;DataStream&gt; <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">Ogre::DataStreamPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer to allow data streams to be passed around without worrying about deallocation. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00307">307</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga80f17ac4d148a831fe015742d56727f9"></a><!-- doxytag: member="Ogre::FileInfoList" ref="ga80f17ac4d148a831fe015742d56727f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;FileInfo&gt;::type <a class="el" href="group__Resources.html#ga80f17ac4d148a831fe015742d56727f9">Ogre::FileInfoList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00068">68</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga98a851530d714bac278ff907738ac643"></a><!-- doxytag: member="Ogre::FileInfoListPtr" ref="ga98a851530d714bac278ff907738ac643" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;FileInfoList&gt; <a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">Ogre::FileInfoListPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00069">69</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaf8656a2c0ef06642f70c4b3745ee80a2"></a><!-- doxytag: member="Ogre::MemoryDataStreamPtr" ref="gaf8656a2c0ef06642f70c4b3745ee80a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;MemoryDataStream&gt; <a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">Ogre::MemoryDataStreamPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer to allow memory data streams to be passed around without worrying about deallocation. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00483">483</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga4697cc0c72aef3b488c7e058adf734ed"></a><!-- doxytag: member="Ogre::ResourcePtr" ref="ga4697cc0c72aef3b488c7e058adf734ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;Resource&gt; <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">Ogre::ResourcePtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer to a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This shared pointer allows many references to a resource to be held, and when the final reference is removed, the resource will be destroyed. Note that the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> which created this <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> will be holding at least one reference, so this resource will not get destroyed until someone removes the resource from the manager - this at least gives you strong control over when resources are freed. But the nature of the shared pointer means that if anyone refers to the removed resource in the meantime, the resource will remain valid. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>You may well see references to ResourcePtr (i.e. ResourcePtr&amp;) being passed around internally within <a class="el" href="namespaceOgre.html">Ogre</a>. These are 'weak references' ie they do not increment the reference count on the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>. This is done for efficiency in temporary operations that shouldn't need to incur the overhead of maintaining the reference count; however we don't recommend you do it yourself since these references are not guaranteed to remain valid. </dd></dl>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00489">489</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga7d22ba70debe31488cdd62c5dc307ce9"></a><!-- doxytag: member="Ogre::FontType" ref="ga7d22ba70debe31488cdd62c5dc307ce9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#ga7d22ba70debe31488cdd62c5dc307ce9">Ogre::FontType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumerates the types of <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> usable in the engine. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga7d22ba70debe31488cdd62c5dc307ce9a3185a44789d385148728f61682e74354"></a><!-- doxytag: member="FT_TRUETYPE" ref="gga7d22ba70debe31488cdd62c5dc307ce9a3185a44789d385148728f61682e74354" args="" -->FT_TRUETYPE</em>&nbsp;</td><td>
<p>Generated from a truetype (.ttf) font. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7d22ba70debe31488cdd62c5dc307ce9ac5c0824a886f1c3946159c1303397c68"></a><!-- doxytag: member="FT_IMAGE" ref="gga7d22ba70debe31488cdd62c5dc307ce9ac5c0824a886f1c3946159c1303397c68" args="" -->FT_IMAGE</em>&nbsp;</td><td>
<p>Loaded from an image created by an artist. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00045">45</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>

</div>
</div>
<a class="anchor" id="gad08e89fa63e81d061ea9e2f37664976e"></a><!-- doxytag: member="Ogre::GpuProgramType" ref="gad08e89fa63e81d061ea9e2f37664976e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">Ogre::GpuProgramType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumerates the types of programs which can run on the GPU. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggad08e89fa63e81d061ea9e2f37664976ea3d96c54ace718f26c66067503efd56a3"></a><!-- doxytag: member="GPT_VERTEX_PROGRAM" ref="ggad08e89fa63e81d061ea9e2f37664976ea3d96c54ace718f26c66067503efd56a3" args="" -->GPT_VERTEX_PROGRAM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggad08e89fa63e81d061ea9e2f37664976eac9a00b013e9075bc061b0585cf9a6c3b"></a><!-- doxytag: member="GPT_FRAGMENT_PROGRAM" ref="ggad08e89fa63e81d061ea9e2f37664976eac9a00b013e9075bc061b0585cf9a6c3b" args="" -->GPT_FRAGMENT_PROGRAM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggad08e89fa63e81d061ea9e2f37664976ea78fc6b12cad0b4a28e86c802ee50bcdd"></a><!-- doxytag: member="GPT_GEOMETRY_PROGRAM" ref="ggad08e89fa63e81d061ea9e2f37664976ea78fc6b12cad0b4a28e86c802ee50bcdd" args="" -->GPT_GEOMETRY_PROGRAM</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h_source.html#l00049">49</a> of file <a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga7b904fc5463a8ef1e61f6de39b603fc4"></a><!-- doxytag: member="Ogre::MeshChunkID" ref="ga7b904fc5463a8ef1e61f6de39b603fc4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#ga7b904fc5463a8ef1e61f6de39b603fc4">Ogre::MeshChunkID</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition of the OGRE .mesh file format. </p>
<p>.mesh files are binary files (for read efficiency at runtime) and are arranged into chunks of data, very like 3D Studio's format. A chunk always consists of: unsigned short CHUNK_ID : one of the following chunk ids identifying the chunk unsigned long LENGTH : length of the chunk in bytes, including this header void* DATA : the data, which may contain other sub-chunks (various data types)</p>
<p>A .mesh file can contain both the definition of the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> itself, and optionally the definitions of the materials is uses (although these can be omitted, if so the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> assumes that at runtime the Materials referred to by name in the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> are loaded/created from another source)</p>
<p>A .mesh file only contains a single mesh, which can itself have multiple submeshes. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ae377c85390fc6c2cb7d57009bbcb48a3"></a><!-- doxytag: member="M_HEADER" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ae377c85390fc6c2cb7d57009bbcb48a3" args="" -->M_HEADER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a7e30f93c634e73eccf5841247edcf394"></a><!-- doxytag: member="M_MESH" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a7e30f93c634e73eccf5841247edcf394" args="" -->M_MESH</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a2ea0d2c7c324fa5745b325a9e1c4cbb8"></a><!-- doxytag: member="M_SUBMESH" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a2ea0d2c7c324fa5745b325a9e1c4cbb8" args="" -->M_SUBMESH</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a204c8cf7adc882832f720fec814b3736"></a><!-- doxytag: member="M_SUBMESH_OPERATION" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a204c8cf7adc882832f720fec814b3736" args="" -->M_SUBMESH_OPERATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a0be59b8913a5cb6a92942172121a1feb"></a><!-- doxytag: member="M_SUBMESH_BONE_ASSIGNMENT" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a0be59b8913a5cb6a92942172121a1feb" args="" -->M_SUBMESH_BONE_ASSIGNMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a36e136a0ae3018f1bdb14cb8ee355b2a"></a><!-- doxytag: member="M_SUBMESH_TEXTURE_ALIAS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a36e136a0ae3018f1bdb14cb8ee355b2a" args="" -->M_SUBMESH_TEXTURE_ALIAS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ab58cc7791a7fced01dfb77b38f804750"></a><!-- doxytag: member="M_GEOMETRY" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ab58cc7791a7fced01dfb77b38f804750" args="" -->M_GEOMETRY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a529e87421877a2c003b001e99a2a1ec3"></a><!-- doxytag: member="M_GEOMETRY_VERTEX_DECLARATION" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a529e87421877a2c003b001e99a2a1ec3" args="" -->M_GEOMETRY_VERTEX_DECLARATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ac094ecf94bea8aabc8e50913260ca01a"></a><!-- doxytag: member="M_GEOMETRY_VERTEX_ELEMENT" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ac094ecf94bea8aabc8e50913260ca01a" args="" -->M_GEOMETRY_VERTEX_ELEMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ae8e03368ae266d871c8bee40fc9b2884"></a><!-- doxytag: member="M_GEOMETRY_VERTEX_BUFFER" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ae8e03368ae266d871c8bee40fc9b2884" args="" -->M_GEOMETRY_VERTEX_BUFFER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ab6b7146d2e47408f325e5d95f52d1360"></a><!-- doxytag: member="M_GEOMETRY_VERTEX_BUFFER_DATA" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ab6b7146d2e47408f325e5d95f52d1360" args="" -->M_GEOMETRY_VERTEX_BUFFER_DATA</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a061bd3bd94e92d0d31a76b1030d28a8b"></a><!-- doxytag: member="M_MESH_SKELETON_LINK" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a061bd3bd94e92d0d31a76b1030d28a8b" args="" -->M_MESH_SKELETON_LINK</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a5a2466fdd447d7a91aad57a941cbd336"></a><!-- doxytag: member="M_MESH_BONE_ASSIGNMENT" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a5a2466fdd447d7a91aad57a941cbd336" args="" -->M_MESH_BONE_ASSIGNMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4abe24a7ed8a68168e01d8f355f9924356"></a><!-- doxytag: member="M_MESH_LOD" ref="gga7b904fc5463a8ef1e61f6de39b603fc4abe24a7ed8a68168e01d8f355f9924356" args="" -->M_MESH_LOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a91d18ad3575494d5723187a27c0554ad"></a><!-- doxytag: member="M_MESH_LOD_USAGE" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a91d18ad3575494d5723187a27c0554ad" args="" -->M_MESH_LOD_USAGE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4aa70c05306a33c122ff87a48135ebff9f"></a><!-- doxytag: member="M_MESH_LOD_MANUAL" ref="gga7b904fc5463a8ef1e61f6de39b603fc4aa70c05306a33c122ff87a48135ebff9f" args="" -->M_MESH_LOD_MANUAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ab2e273eb42a551fce6fcedc23b1b5579"></a><!-- doxytag: member="M_MESH_LOD_GENERATED" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ab2e273eb42a551fce6fcedc23b1b5579" args="" -->M_MESH_LOD_GENERATED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a1516dd9026781cc83396590e73eb5bd2"></a><!-- doxytag: member="M_MESH_BOUNDS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a1516dd9026781cc83396590e73eb5bd2" args="" -->M_MESH_BOUNDS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a53de3dbb8a1fb4199fecfcc13b99a780"></a><!-- doxytag: member="M_SUBMESH_NAME_TABLE" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a53de3dbb8a1fb4199fecfcc13b99a780" args="" -->M_SUBMESH_NAME_TABLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ad2d5c64333e75efb676c25cf7413fbe7"></a><!-- doxytag: member="M_SUBMESH_NAME_TABLE_ELEMENT" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ad2d5c64333e75efb676c25cf7413fbe7" args="" -->M_SUBMESH_NAME_TABLE_ELEMENT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a9702b7e52d4ea26c0eaffe49a2ea3fca"></a><!-- doxytag: member="M_EDGE_LISTS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a9702b7e52d4ea26c0eaffe49a2ea3fca" args="" -->M_EDGE_LISTS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a85ec2f21278624525b12aae23fecd8a3"></a><!-- doxytag: member="M_EDGE_LIST_LOD" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a85ec2f21278624525b12aae23fecd8a3" args="" -->M_EDGE_LIST_LOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a57ce1f8065af27bbbe84c1525b2541cb"></a><!-- doxytag: member="M_EDGE_GROUP" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a57ce1f8065af27bbbe84c1525b2541cb" args="" -->M_EDGE_GROUP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a8f20b9f53c4a616ebb80d5f5e6dce6f2"></a><!-- doxytag: member="M_POSES" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a8f20b9f53c4a616ebb80d5f5e6dce6f2" args="" -->M_POSES</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4adb5976001d45fa25b6f5bf094ee26cb9"></a><!-- doxytag: member="M_POSE" ref="gga7b904fc5463a8ef1e61f6de39b603fc4adb5976001d45fa25b6f5bf094ee26cb9" args="" -->M_POSE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a1c05dca2e153c0546074b2361706d4d0"></a><!-- doxytag: member="M_POSE_VERTEX" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a1c05dca2e153c0546074b2361706d4d0" args="" -->M_POSE_VERTEX</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a47ebdc0a3d866f96d1272b53c956d60a"></a><!-- doxytag: member="M_ANIMATIONS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a47ebdc0a3d866f96d1272b53c956d60a" args="" -->M_ANIMATIONS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a20cea2365d30a7aad8f79ca58f058b50"></a><!-- doxytag: member="M_ANIMATION" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a20cea2365d30a7aad8f79ca58f058b50" args="" -->M_ANIMATION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a079f2868b05b6ee086bba76454a925df"></a><!-- doxytag: member="M_ANIMATION_BASEINFO" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a079f2868b05b6ee086bba76454a925df" args="" -->M_ANIMATION_BASEINFO</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a06f1e8f333e075e3c50c1d6857423a3c"></a><!-- doxytag: member="M_ANIMATION_TRACK" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a06f1e8f333e075e3c50c1d6857423a3c" args="" -->M_ANIMATION_TRACK</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a4227a01f9308f161b1dff36d37bfca1f"></a><!-- doxytag: member="M_ANIMATION_MORPH_KEYFRAME" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a4227a01f9308f161b1dff36d37bfca1f" args="" -->M_ANIMATION_MORPH_KEYFRAME</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a1530b8d3112bec8376a066db1859820d"></a><!-- doxytag: member="M_ANIMATION_POSE_KEYFRAME" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a1530b8d3112bec8376a066db1859820d" args="" -->M_ANIMATION_POSE_KEYFRAME</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a01f246a4298151dc5b2271de6bf19acc"></a><!-- doxytag: member="M_ANIMATION_POSE_REF" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a01f246a4298151dc5b2271de6bf19acc" args="" -->M_ANIMATION_POSE_REF</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4adef65eae91dcd6082bbc4be1bf0d950e"></a><!-- doxytag: member="M_TABLE_EXTREMES" ref="gga7b904fc5463a8ef1e61f6de39b603fc4adef65eae91dcd6082bbc4be1bf0d950e" args="" -->M_TABLE_EXTREMES</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4a05282af650e923e0cbff1bc35e19eb21"></a><!-- doxytag: member="M_GEOMETRY_NORMALS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4a05282af650e923e0cbff1bc35e19eb21" args="" -->M_GEOMETRY_NORMALS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4ae55f61d76f1149a9bed5c32711d404ab"></a><!-- doxytag: member="M_GEOMETRY_COLOURS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4ae55f61d76f1149a9bed5c32711d404ab" args="" -->M_GEOMETRY_COLOURS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga7b904fc5463a8ef1e61f6de39b603fc4aec8563534d08ae9b4d15d04e5c999c1d"></a><!-- doxytag: member="M_GEOMETRY_TEXCOORDS" ref="gga7b904fc5463a8ef1e61f6de39b603fc4aec8563534d08ae9b4d15d04e5c999c1d" args="" -->M_GEOMETRY_TEXCOORDS</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreMeshFileFormat_8h_source.html#l00058">58</a> of file <a class="el" href="OgreMeshFileFormat_8h_source.html">OgreMeshFileFormat.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga528ce4f4c67c9b043e1f0b8bb3cdf255"></a><!-- doxytag: member="Ogre::TextureMipmap" ref="ga528ce4f4c67c9b043e1f0b8bb3cdf255" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#ga528ce4f4c67c9b043e1f0b8bb3cdf255">Ogre::TextureMipmap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum identifying special mipmap numbers. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga528ce4f4c67c9b043e1f0b8bb3cdf255a5a6b498127bf3fa219dadfdaaa50b9dd"></a><!-- doxytag: member="MIP_UNLIMITED" ref="gga528ce4f4c67c9b043e1f0b8bb3cdf255a5a6b498127bf3fa219dadfdaaa50b9dd" args="" -->MIP_UNLIMITED</em>&nbsp;</td><td>
<p>Generate mipmaps up to 1x1. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d"></a><!-- doxytag: member="MIP_DEFAULT" ref="gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" args="" -->MIP_DEFAULT</em>&nbsp;</td><td>
<p>Use <a class="el" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a> default. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreTexture_8h_source.html#l00083">83</a> of file <a class="el" href="OgreTexture_8h_source.html">OgreTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="gae50520af6377ff8184cf79125cb9c4d7"></a><!-- doxytag: member="Ogre::TextureType" ref="gae50520af6377ff8184cf79125cb9c4d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">Ogre::TextureType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum identifying the texture type. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggae50520af6377ff8184cf79125cb9c4d7a18bf88d3a14ba28d6602689e398416bd"></a><!-- doxytag: member="TEX_TYPE_1D" ref="ggae50520af6377ff8184cf79125cb9c4d7a18bf88d3a14ba28d6602689e398416bd" args="" -->TEX_TYPE_1D</em>&nbsp;</td><td>
<p>1D texture, used in combination with 1D texture coordinates </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e"></a><!-- doxytag: member="TEX_TYPE_2D" ref="ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" args="" -->TEX_TYPE_2D</em>&nbsp;</td><td>
<p>2D texture, used in combination with 2D texture coordinates (default) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae50520af6377ff8184cf79125cb9c4d7aa80e2545e817591a0b4547f987987d43"></a><!-- doxytag: member="TEX_TYPE_3D" ref="ggae50520af6377ff8184cf79125cb9c4d7aa80e2545e817591a0b4547f987987d43" args="" -->TEX_TYPE_3D</em>&nbsp;</td><td>
<p>3D volume texture, used in combination with 3D texture coordinates </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae50520af6377ff8184cf79125cb9c4d7ae295fe0fa26623b66cc023f462962344"></a><!-- doxytag: member="TEX_TYPE_CUBE_MAP" ref="ggae50520af6377ff8184cf79125cb9c4d7ae295fe0fa26623b66cc023f462962344" args="" -->TEX_TYPE_CUBE_MAP</em>&nbsp;</td><td>
<p>3D cube map, used in combination with 3D texture coordinates </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae50520af6377ff8184cf79125cb9c4d7a11589b2d4fbe6213dcdaf4e78894a3a7"></a><!-- doxytag: member="TEX_TYPE_2D_ARRAY" ref="ggae50520af6377ff8184cf79125cb9c4d7a11589b2d4fbe6213dcdaf4e78894a3a7" args="" -->TEX_TYPE_2D_ARRAY</em>&nbsp;</td><td>
<p>2D texture array </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreTexture_8h_source.html#l00067">67</a> of file <a class="el" href="OgreTexture_8h_source.html">OgreTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaf140ec886884a864abc74a7556f8bf67"></a><!-- doxytag: member="Ogre::TextureUsage" ref="gaf140ec886884a864abc74a7556f8bf67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Resources.html#gaf140ec886884a864abc74a7556f8bf67">Ogre::TextureUsage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum identifying the texture usage. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67a375858a86cadfb2a4d20fe837fdb85b3"></a><!-- doxytag: member="TU_STATIC" ref="ggaf140ec886884a864abc74a7556f8bf67a375858a86cadfb2a4d20fe837fdb85b3" args="" -->TU_STATIC</em>&nbsp;</td><td>
<p>Enums describing buffer usage; not mutually exclusive. </p>
 </td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67ad18031f12c4bd22f73b09a4536e99df5"></a><!-- doxytag: member="TU_DYNAMIC" ref="ggaf140ec886884a864abc74a7556f8bf67ad18031f12c4bd22f73b09a4536e99df5" args="" -->TU_DYNAMIC</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67af7b0d53154ffc7c389404dc51c792655"></a><!-- doxytag: member="TU_WRITE_ONLY" ref="ggaf140ec886884a864abc74a7556f8bf67af7b0d53154ffc7c389404dc51c792655" args="" -->TU_WRITE_ONLY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67a2b9d0399c32f2098957ebc089c337e55"></a><!-- doxytag: member="TU_STATIC_WRITE_ONLY" ref="ggaf140ec886884a864abc74a7556f8bf67a2b9d0399c32f2098957ebc089c337e55" args="" -->TU_STATIC_WRITE_ONLY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67ac26eda030d21e0491461edea89394493"></a><!-- doxytag: member="TU_DYNAMIC_WRITE_ONLY" ref="ggaf140ec886884a864abc74a7556f8bf67ac26eda030d21e0491461edea89394493" args="" -->TU_DYNAMIC_WRITE_ONLY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67a79920182637c94fabcf834950096483f"></a><!-- doxytag: member="TU_DYNAMIC_WRITE_ONLY_DISCARDABLE" ref="ggaf140ec886884a864abc74a7556f8bf67a79920182637c94fabcf834950096483f" args="" -->TU_DYNAMIC_WRITE_ONLY_DISCARDABLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67a7c14cc95a59af42a63eb33fc9de05d27"></a><!-- doxytag: member="TU_AUTOMIPMAP" ref="ggaf140ec886884a864abc74a7556f8bf67a7c14cc95a59af42a63eb33fc9de05d27" args="" -->TU_AUTOMIPMAP</em>&nbsp;</td><td>
<p>mipmaps will be automatically generated for this texture </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67ae1661d9846a9b4e83c2e4cd99fc6ad9d"></a><!-- doxytag: member="TU_RENDERTARGET" ref="ggaf140ec886884a864abc74a7556f8bf67ae1661d9846a9b4e83c2e4cd99fc6ad9d" args="" -->TU_RENDERTARGET</em>&nbsp;</td><td>
<p>this texture will be a render target, i.e. </p>
<p>used as a target for render to texture setting this flag will ignore all other texture usages except TU_AUTOMIPMAP </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b"></a><!-- doxytag: member="TU_DEFAULT" ref="ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b" args="" -->TU_DEFAULT</em>&nbsp;</td><td>
<p>default to automatic mipmap generation static textures </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreTexture_8h_source.html#l00046">46</a> of file <a class="el" href="OgreTexture_8h_source.html">OgreTexture.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
